threaded.d(1m)

NAME
threaded.d - sample multi-threaded CPU usage. Uses DTrace.

SYNOPSIS
threaded.d

DESCRIPTION
This measures thread IDs as a process runs across multiple CPUs. It is a simple script that can help determine if a multi-threaded application is effectively using it's threads, or if the threads have serialised. See the example file in Docs/Examples/threaded_example.txt for a demonstration. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

EXAMPLES

This runs until Ctrl-C is hit.
    # threaded.d

FIELDS

PID process ID

CMD process name

value
    thread ID

count
    number of samples

SEE ALSO
prstat -L

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
threaded.d will run until Ctrl-C is hit.

SEE ALSO
dtrace(1M)